import client from "../client";
import { Events } from "discord.js";
import { getGuildSetting } from "../tools/data";
import { Badword, database, GuildSetting } from "../data";

client.on(Events.GuildDelete, async (guild) => {
    const settings = await getGuildSetting(guild.id);
    if (settings.preserveDataOnGuildLeave) return;

    await database.getRepository(GuildSetting).delete({
        id: guild.id
    });

    await database.getRepository(Badword).delete({
        guildID: guild.id
    });
});